Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Communication and Mobility Server Java API Reference E14335-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.sdp.parlayx.presence.notification
Class PresenceNotificationClient

    java.lang.Object
      oracle.sdp.parlayx.presence.notification.PresenceNotificationClient

    public class PresenceNotificationClient

extends Object

Constructor Summary
`PresenceNotificationClient()`
`PresenceNotificationClient(String assertedId)` This is the only method inserted into the automatic generated code.

Method Summary
`oracle.webservices.transport.ClientTransport` | `getClientTransport()` returns the transport context
`String` | `getEndpoint()`
`boolean` | `getMaintainSession()`
`String` | `getPassword()`
`oracle.sdp.parlayx.presence.notification.PresenceNotification` | `getPort()` used to access the JAX-RPC level APIs returns the interface of the port instance
`String` | `getUsername()`
`static void` | `main(String[] args)`
`void` | `notifySubscription(URI presentity, org.csapi.schema.parlayx.presence.v2_3.PresencePermission[] decisions)`
`void` | `setEndpoint(String endpoint)`
`void` | `setMaintainSession(boolean maintainSession)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`
`void` | `statusChanged(String correlator, URI presentity, org.csapi.schema.parlayx.presence.v2_3.PresenceAttribute[] changedAttributes)` delegate all operations to the underlying implementation class.
`void` | `statusEnd(String correlator)`
`void` | `subscriptionEnded(URI presentity, String reason)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PresenceNotificationClient

    public PresenceNotificationClient()
                               throws Exception

Throws:
  `Exception`

### PresenceNotificationClient

    public PresenceNotificationClient(String assertedId)
                               throws Exception

  This is the only method inserted into the automatic generated code. It registers the assertedIdentityHandler to insert the SOAP header. This constructor should be called if the client is in the trusted host list of the Aggregation Proxy

  Parameters:
    `assertedId` - The asserted identity to be used to identify the user.
  Throws:
    `Exception`

Method Detail

### main

    public static void main(String[] args)

  Parameters:
    `args` -

### statusChanged

    public void statusChanged(String correlator,
                              URI presentity,
                              org.csapi.schema.parlayx.presence.v2_3.PresenceAttribute[] changedAttributes)
                       throws RemoteException

  delegate all operations to the underlying implementation class.

  Throws:
    `RemoteException`

### statusEnd

    public void statusEnd(String correlator)
                   throws RemoteException

  Throws:
    `RemoteException`

### notifySubscription

    public void notifySubscription(URI presentity,
                                   org.csapi.schema.parlayx.presence.v2_3.PresencePermission[] decisions)
                            throws RemoteException

  Throws:
    `RemoteException`

### subscriptionEnded

    public void subscriptionEnded(URI presentity,
                                  String reason)
                           throws RemoteException

  Throws:
    `RemoteException`

### getPort

    public oracle.sdp.parlayx.presence.notification.PresenceNotification getPort()

  used to access the JAX-RPC level APIs returns the interface of the port instance

### getEndpoint

    public String getEndpoint()

### setEndpoint

    public void setEndpoint(String endpoint)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setMaintainSession

    public void setMaintainSession(boolean maintainSession)

### getMaintainSession

    public boolean getMaintainSession()

### getClientTransport

    public oracle.webservices.transport.ClientTransport getClientTransport()

  returns the transport context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2009 Oracle Corporation. All Rights Reserved.